Bug 890560 - ls -l displays wrong file sizes
ls -l displays wrong file sizes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 13:54 EST by r3obh
Modified: 2013-08-01 05:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:13:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description r3obh 2012-12-27 13:54:05 EST
Description of problem:

Listing from a terminal shows correct sizes, but from sftp to the same directory does not:

$ ls -l plotme*
-rw-rw-r--. 1 rharley rharley 23925 Dec 27 13:47 plotme_20121206.ms
-rw-rw-r--. 1 rharley rharley     0 Dec 27 13:47 plotme_20121207.ms
-rw-rw-r--. 1 rharley rharley 10552 Dec 27 12:02 plotme_20121227.ms

sftp> ls -l plotme*
-rw-rw-r--    0 1000     1000            0 Dec 27 13:47 plotme_20121206.ms
-rw-rw-r--    0 1000     1000        10552 Dec 27 12:02 plotme_20121207.ms
-rw-rw-r--    0 1000     1000        23925 Dec 27 13:47 plotme_20121227.ms

Version-Release number of selected component (if applicable):
openssh-5.9p1-28.fc17.x86_64

How reproducible:
Always.
  
Actual results:
Displayed sizes are permuted compared to the correct ones.

Expected results:
The correct file sizes.

Additional info:
I've seen the same thing with earlier versions of openssh too, on several different machines.
Comment 1 Fedora End Of Life 2013-07-03 22:42:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:13:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.